utf32_writer Struct Reference

## Public Types

typedef uint32_t * | value_type

## Static Public Member Functions

static value_type | low (value_type result, uint32_t ch)
static value_type | high (value_type result, uint32_t ch)
static value_type | any (value_type result, uint32_t ch)

## Detailed Description

Definition at line 886 of file pugixml.cpp.

## Member Typedef Documentation

## value_type

typedef uint32_t* utf32_writer::value_type

Definition at line 888 of file pugixml.cpp.

## Member Function Documentation

## any()

static value_type utf32_writer::any | ( | value_type | result,
|  | uint32_t | ch
| ) |  |

inline static

Definition at line 904 of file pugixml.cpp.

{
*result = ch;
return result + 1;
}

## high()

static value_type utf32_writer::high | ( | value_type | result,
|  | uint32_t | ch
| ) |  |

inline static

Definition at line 897 of file pugixml.cpp.

{
*result = ch;
return result + 1;
}

## low()

static value_type utf32_writer::low | ( | value_type | result,
|  | uint32_t | ch
| ) |  |

inline static

Definition at line 890 of file pugixml.cpp.

{
*result = ch;
return result + 1;
}

The documentation for this struct was generated from the following file:

- pugixml.cpp